org.apache.ivy.core

## Class IvyThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.ivy.core.IvyThread

All Implemented Interfaces:
  java.lang.Runnable

    public class IvyThread
    extends java.lang.Thread

A simple thread subclass associated the same IvyContext as the thread in which it is instanciated. If you override the run target, then you will have to call initContext() to do the association with the original IvyContext.

See Also:
  `IvyContext`

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`IvyThread()`
`IvyThread(java.lang.Runnable target)`
`IvyThread(java.lang.Runnable target, java.lang.String name)`
`IvyThread(java.lang.String name)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name, long stackSize)`
`IvyThread(java.lang.ThreadGroup group, java.lang.String name)`

### Method Summary

Methods
`protected void` `initContext()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyThread

    public IvyThread()

#### IvyThread

    public IvyThread(java.lang.Runnable target,
             java.lang.String name)

#### IvyThread

    public IvyThread(java.lang.Runnable target)

#### IvyThread

    public IvyThread(java.lang.String name)

#### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
             java.lang.Runnable target,
             java.lang.String name,
             long stackSize)

#### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
             java.lang.Runnable target,
             java.lang.String name)

#### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
             java.lang.Runnable target)

#### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
             java.lang.String name)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### initContext

    protected void initContext()